com.corticon.service.ccserver.exception

## Class CcServerCannotWriteToFileException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerCannotWriteToFileException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcServerCannotWriteToFileException
      extends CcServerException
      implements java.io.Serializable

  `CcServerCannotWriteToiFileException` is thrown if an attempt is made to write to a file on the CcServer.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerCannotWriteToFileException()`
    `CcServerCannotWriteToFileException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerCannotWriteToFileException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerCannotWriteToFileException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerCannotWriteToFileException(java.lang.String astrMessage)`
    `CcServerCannotWriteToFileException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerCannotWriteToFileException

          public CcServerCannotWriteToFileException()

    - #### CcServerCannotWriteToFileException

          public CcServerCannotWriteToFileException(java.lang.String astrMessage)

    - #### CcServerCannotWriteToFileException

          public CcServerCannotWriteToFileException(java.lang.String astrMessage,
                                                    java.lang.Object aobject)

    - #### CcServerCannotWriteToFileException

          public CcServerCannotWriteToFileException(java.lang.Exception aparentException,
                                                    java.lang.String astrMessage)

    - #### CcServerCannotWriteToFileException

          public CcServerCannotWriteToFileException(java.lang.Exception aparentException,
                                                    java.lang.Object aobject)

    - #### CcServerCannotWriteToFileException

          public CcServerCannotWriteToFileException(java.lang.Exception aparentException,
                                                    java.lang.String astrMessage,
                                                    java.lang.Object aobject)

Copyright © 2005-2022 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.